<?php

declare(strict_types=1);

namespace PpPhp\Core\Diagnostics\Metadata;

final class ModuleMetadata extends AbstractMetadata
{
    public function routes(): array
    {
        return is_array($this->raw['routes'] ?? null) ? $this->raw['routes'] : [];
    }

    public function permissions(): array
    {
        return is_array($this->raw['permissions'] ?? null) ? $this->raw['permissions'] : [];
    }

}
